|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QGraphicsSceneContextMenuEvent Class Reference
[QtGui module]

The QGraphicsSceneContextMenuEvent class provides context menu events in the graphics view framework. More...

     #include <QGraphicsSceneContextMenuEvent>

Inherits QGraphicsSceneEvent.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Types

- enum Reason { Mouse, Keyboard, Other }

### Public Functions

- ~QGraphicsSceneContextMenuEvent ()
- Qt::KeyboardModifiers modifiers () const
- QPointF pos () const
- Reason reason () const
- QPointF scenePos () const
- QPoint screenPos () const

- 1 public function inherited from QGraphicsSceneEvent
- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent

## Detailed Description

The QGraphicsSceneContextMenuEvent class provides context menu events in the graphics view framework.

A QContextMenuEvent received by a QGraphicsView is translated into a QGraphicsSceneContextMenuEvent. The QWheelEvent::globalPos() is translated into item, scene, and screen coordinates (pos(), scenePos(), and screenPos()).

See also QGraphicsSceneMouseEvent, QGraphicsSceneWheelEvent, and QContextMenuEvent.

## Member Type Documentation

### enum QGraphicsSceneContextMenuEvent::Reason

This enum describes the reason why the context event was sent.

Constant | Value | Description
--- | --- | ---
`QGraphicsSceneContextMenuEvent::Mouse` | `0` | The mouse caused the event to be sent. On most platforms, this means the right mouse button was clicked.
`QGraphicsSceneContextMenuEvent::Keyboard` | `1` | The keyboard caused this event to be sent. On Windows and Mac OS X, this means the menu button was pressed.
`QGraphicsSceneContextMenuEvent::Other` | `2` | The event was sent by some other means (i.e. not by the mouse or keyboard).

## Member Function Documentation

### QGraphicsSceneContextMenuEvent::~QGraphicsSceneContextMenuEvent ()

Destroys the event.

### Qt::KeyboardModifiers QGraphicsSceneContextMenuEvent::modifiers () const

Returns the keyboard modifiers in use when the context menu was requested.

### QPointF QGraphicsSceneContextMenuEvent::pos () const

Returns the position of the mouse cursor in item coordinates at the moment the the context menu was requested.

See also scenePos() and screenPos().

### Reason QGraphicsSceneContextMenuEvent::reason () const

Returns the reason for the context menu event.

See also QGraphicsSceneContextMenuEvent::Reason.

### QPointF QGraphicsSceneContextMenuEvent::scenePos () const

Returns the position of the mouse cursor in scene coordinates at the moment the the context menu was requested.

See also pos() and screenPos().

### QPoint QGraphicsSceneContextMenuEvent::screenPos () const

Returns the position of the mouse cursor in screen coordinates at the moment the the context menu was requested.

See also pos() and scenePos().